{% extends "admin_base.html" %}
{% load static %}
{% block content %}
    <div class="main-panel">
        <!-- Navbar -->
        <nav class="navbar navbar-expand-lg navbar-transparent navbar-absolute fixed-top ">
            <div class="container-fluid">
                <div class="navbar-wrapper">
                    <a class="navbar-brand" href="#pablo">Clients</a>
                </div>
                <button class="navbar-toggler" type="button" data-toggle="collapse" aria-controls="navigation-index"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="navbar-toggler-icon icon-bar"></span>
                    <span class="navbar-toggler-icon icon-bar"></span>
                    <span class="navbar-toggler-icon icon-bar"></span>
                </button>
                <div class="collapse navbar-collapse justify-content-end">
                    <ul class="navbar-nav">
                        <li class="nav-item dropdown">
                            <a class="nav-link" href="http://example.com" id="navbarDropdownMenuLink"
                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="material-icons">person</i>
                                <p class="d-lg-none d-md-block">
                                    Some Actions
                                </p>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                                <a class="dropdown-item" href="{% url 'logout' %}">Logout</a>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
        <!-- End Navbar -->
        <div class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-8">
                        <div class="card" style="background-color: #1f1f1f!important;color: #eff0f2">
                            <div class="card-header card-header-danger">
                                <h4 class="card-title">Training Services</h4>
                                <p class="card-category">List Of Services</p>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table">
                                        <thead class=" text-orange">
                                        <th>
                                            Name
                                        </th>
                                        <th>
                                            Image
                                        </th>
                                        <th>
                                            Service
                                        </th>
                                        <th>
                                            Description
                                        </th>
                                        <th>

                                        </th>
                                        </thead>
                                        <tbody>
                                        {% for service in services %}
                                            <tr>
                                                <td>
                                                    {{ service.service }}
                                                </td>
                                                <td>
                                                    <img src="{{ service.image.url }}" width="150px" height="auto">
                                                </td>
                                                <td>
                                                    {{ service.name }}
                                                </td>
                                                <td>
                                                    {{ service.description }}
                                                </td>
                                            </tr>
                                        {% endfor %}

                                        </tbody>
                                    </table>

                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="card">
                            <div class="card-header-danger">Add Service</div>
                            <div class=" card-body">
                                <form action="{% url 'addservicetraining' %}" method="post"
                                      enctype="multipart/form-data">
                                    {% csrf_token %}
                                    <div class="row">
                                        <div class="col">
                                            <div class="form-group">
                                                <label class="bmd-label-floating">Name</label>
                                                <input name="name" type="text" class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col align-content-center">
                                            <div class="form-group">
                                                <label class="bmd-label-floating">Service</label>
                                                <input name="service" type="text" class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col">
                                            <div class="form-group">
                                                <label class="bmd-label-floating">Description</label>
                                                <textarea name="description" class="form-control"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col">
                                            <div class="form-group">
                                                <label class="bmd-label-floating">Advantage</label>
                                                <textarea name="advantage" class="form-control"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col">
                                            <div class="form-check">
                                                <label class="form-check-label">
                                                    <input class="form-check-input" name="categories" type="checkbox"
                                                           value="pb">
                                                    Public
                                                    <span class="form-check-sign"><span class="check"></span></span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col">
                                            <div class="form-check">
                                                <label class="form-check-label">
                                                    <input class="form-check-input" name="categories" type="checkbox"
                                                           value="ih">
                                                    In-House
                                                    <span class="form-check-sign"><span class="check"></span></span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col">
                                            <div class="form-group">
                                                <div class="input-group input-file" name="imageUpload">
			                                            <span class="input-group-btn" style="padding-left: 0px">
                                                            <button class="btn btn-sm btn-choose" type="button">
                                                                Choose
                                                            </button>
    		                                            </span>
                                                    <input name="clientImg" type="text" class="form-control"
                                                           placeholder='Choose a file...'/>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <button type="submit" class="btn btn-block btn-danger btn-raised">
                                        Add
                                    </button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
{% endblock %}